Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.property
Class BeanAccessor

    java.lang.Object
      org.apache.cayenne.property.BeanAccessor

All Implemented Interfaces:
  java.io.Serializable, PropertyAccessor

    public class BeanAccessor

extends java.lang.Object
implements PropertyAccessor

A property accessor that uses set/get methods following JavaBean naming conventions.

Since:
  1.2
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `nullValue`
`protected java.lang.String` | `propertyName`
`protected java.lang.reflect.Method` | `readMethod`
`protected java.lang.reflect.Method` | `writeMethod`

Constructor Summary
`BeanAccessor(java.lang.Class objectClass, java.lang.String propertyName, java.lang.Class propertyType)`

Method Summary
`java.lang.String` | `getName()` Returns property name.
`java.lang.Object` | `readPropertyDirectly(java.lang.Object object)` Returns a property value of an object without disturbing the object fault status.
`void` | `writePropertyDirectly(java.lang.Object object, java.lang.Object oldValue, java.lang.Object newValue)` Sets a property value of an object without disturbing the object fault status.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyName

    protected java.lang.String propertyName

### readMethod

    protected java.lang.reflect.Method readMethod

### writeMethod

    protected java.lang.reflect.Method writeMethod

### nullValue

    protected java.lang.Object nullValue

Constructor Detail

### BeanAccessor

    public BeanAccessor(java.lang.Class objectClass,
                        java.lang.String propertyName,
                        java.lang.Class propertyType)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `PropertyAccessor`
  Returns property name.

  Specified by:
    `getName` in interface `PropertyAccessor`

### readPropertyDirectly

    public java.lang.Object readPropertyDirectly(java.lang.Object object)
                                          throws PropertyAccessException

  Description copied from interface: `PropertyAccessor`
  Returns a property value of an object without disturbing the object fault status.

  Specified by:
    `readPropertyDirectly` in interface `PropertyAccessor`
  Throws:
    `PropertyAccessException`

### writePropertyDirectly

    public void writePropertyDirectly(java.lang.Object object,
                                      java.lang.Object oldValue,
                                      java.lang.Object newValue)
                               throws PropertyAccessException

  Description copied from interface: `PropertyAccessor`
  Sets a property value of an object without disturbing the object fault status. Old value of the property is specified as a hint.

  Specified by:
    `writePropertyDirectly` in interface `PropertyAccessor`
  Throws:
    `PropertyAccessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.